> ## Documentation Index
> Fetch the complete documentation index at: https://docs.convertly.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Get asset metadata, usage, collections, and relationships

> Returns the asset governance record, workspace custom-field definitions, daily usage aggregates, collection membership, and asset relationships. Requires files:read.



## OpenAPI

````yaml /openapi.json get /api/files/{id}/asset-details
openapi: 3.1.0
info:
  title: Convertly API
  version: 1.0.0
  description: >-
    Convertly provides production API endpoints for media conversion,
    compression, Image CDN delivery, Forma AI, HLS/DASH video streaming, media
    tools, async jobs, workflows, webhooks, and Convertly Storage.
  license:
    name: Proprietary
    url: https://convertly.sh/terms
servers:
  - url: https://convertly.sh
security:
  - bearerAuth: []
  - apiKeyAuth: []
paths:
  /api/files/{id}/asset-details:
    get:
      tags:
        - Files
      summary: Get asset metadata, usage, collections, and relationships
      description: >-
        Returns the asset governance record, workspace custom-field definitions,
        daily usage aggregates, collection membership, and asset relationships.
        Requires files:read.
      operationId: getAssetDetails
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Asset details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetDetailsResponse'
        '401':
          $ref: '#/components/responses/Error'
        '403':
          $ref: '#/components/responses/Error'
        '404':
          $ref: '#/components/responses/Error'
        '503':
          $ref: '#/components/responses/Error'
components:
  schemas:
    AssetDetailsResponse:
      type: object
      properties:
        governance:
          $ref: '#/components/schemas/AssetGovernance'
        fields:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                format: uuid
              field_key:
                type: string
              label:
                type: string
              field_type:
                type: string
                enum:
                  - text
                  - long_text
                  - number
                  - date
                  - boolean
                  - single_select
                  - multi_select
                  - url
              required:
                type: boolean
              options:
                type: array
                items:
                  type: string
              position:
                type: integer
            required:
              - id
              - field_key
              - label
              - field_type
              - required
              - options
              - position
        collections:
          type: array
          items:
            type: object
            additionalProperties: true
        relationships:
          type: array
          items:
            type: object
            additionalProperties: true
        usage:
          type: object
          properties:
            last30Days:
              $ref: '#/components/schemas/AssetUsageTotals'
            lifetime:
              $ref: '#/components/schemas/AssetUsageTotals'
            daily:
              type: array
              items:
                type: object
                additionalProperties: true
            trackingStarted:
              type:
                - string
                - 'null'
              format: date
          required:
            - last30Days
            - lifetime
            - daily
            - trackingStarted
      required:
        - governance
        - fields
        - collections
        - relationships
        - usage
    AssetGovernance:
      type: object
      properties:
        altTextMode:
          type: string
          enum:
            - unset
            - informative
            - decorative
        altText:
          type: string
          maxLength: 2000
        caption:
          type: string
          maxLength: 5000
        rights:
          $ref: '#/components/schemas/AssetRights'
        customFields:
          type: object
          description: Values keyed by workspace custom-field UUID.
          additionalProperties: true
      required:
        - altTextMode
        - altText
        - caption
        - rights
        - customFields
    AssetUsageTotals:
      type: object
      properties:
        originRequests:
          type: integer
          minimum: 0
        generatedBytes:
          type: integer
          minimum: 0
      required:
        - originRequests
        - generatedBytes
    Error:
      type: object
      properties:
        error:
          type: string
        upgradeUrl:
          type: string
      required:
        - error
    AssetRights:
      type: object
      properties:
        copyrightNotice:
          type: string
          maxLength: 500
        creator:
          type: string
          maxLength: 300
        creditLine:
          type: string
          maxLength: 500
        licenseUrl:
          type: string
          maxLength: 2000
        usageTerms:
          type: string
          maxLength: 5000
        expiresAt:
          type: string
          description: ISO date or an empty string.
        territory:
          type: string
          maxLength: 300
      required:
        - copyrightNotice
        - creator
        - creditLine
        - licenseUrl
        - usageTerms
        - expiresAt
        - territory
  responses:
    Error:
      description: Error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Dashboard-generated Convertly API key. Keys currently begin with
        `cvly_`.
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Alternative API key header for server-side clients.

````